Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class ServicesMessages

    java.lang.Object
      org.apache.tapestry5.internal.services.ServicesMessages

    public class ServicesMessages

extends java.lang.Object

Constructor Summary
`ServicesMessages()`

Method Summary
`static java.lang.String` | `assetDoesNotExist(Resource resource)`
`static java.lang.String` | `baseClassInWrongPackage(java.lang.String parentClassName, java.lang.String className, java.lang.String suggestedPackage)`
`static java.lang.String` | `clientStateMustBeSerializable(java.lang.Object newValue)`
`static java.lang.String` | `componentEventIsAborted(java.lang.String methodDescription)`
`static java.lang.String` | `componentInstanceIsNotAPage(Component result)`
`static java.lang.String` | `contentInsideBodyNotAllowed(Location location)`
`static java.lang.String` | `contextIndexOutOfRange(java.lang.String methodDescription)`
`static java.lang.String` | `corruptClientState()`
`static java.lang.String` | `documentMissingHTMLRoot(java.lang.String rootElementName)`
`static java.lang.String` | `eventNotHandled(ComponentPageElement element, java.lang.String eventName)`
`static java.lang.String` | `exceptionInMethodParameter(java.lang.String methodDescription, int index, java.lang.Throwable cause)`
`static java.lang.String` | `failureReadingMessages(Resource url, java.lang.Throwable cause)`
`static java.lang.String` | `invalidId(java.lang.String messageKey, java.lang.String idValue)`
`static java.lang.String` | `invalidPathForLibraryNamespace(java.lang.String URI)`
`static java.lang.String` | `literalConduitNotUpdateable()`
`static java.lang.String` | `markupWriterAttributeNameOrValueOmitted(java.lang.String element, java.lang.Object[] namesAndValues)`
`static java.lang.String` | `markupWriterNoCurrentElement()`
`static java.lang.String` | `missingApplicationStatePersistenceStrategy(java.lang.String name, java.util.Collection<java.lang.String> availableNames)`
`static java.lang.String` | `missingTemplateResource(Resource resource)`
`static java.lang.String` | `missingValidatorConstraint(java.lang.String validatorType, java.lang.Class type, java.lang.String perFormMessageKey, java.lang.String generalMessageKey)`
`static java.lang.String` | `mixinsInvalidWithoutIdOrType(java.lang.String elementName)`
`static java.lang.String` | `noDisplayForDataType(java.lang.String datatype)`
`static java.lang.String` | `noEditForDataType(java.lang.String datatype)`
`static java.lang.String` | `noMarkupFromPageRender(Page page)`
`static java.lang.String` | `noTranslatorForType(java.lang.Class valueType, java.util.Collection<java.lang.String> typeNames)`
`static java.lang.String` | `pageNameUnresolved(java.lang.String pageClassName)`
`static java.lang.String` | `parameterElementDoesNotAllowAttributes()`
`static java.lang.String` | `parameterElementNameRequired()`
`static java.lang.String` | `renderQueueError(RenderCommand command, java.lang.Throwable cause)`
`static java.lang.String` | `requestException(java.lang.Throwable cause)`
`static java.lang.String` | `resourcesAccessForbidden(java.lang.String URI)`
`static java.lang.String` | `unclosedAttributeExpression(java.lang.String expression)`
`static java.lang.String` | `undefinedTapestryAttribute(java.lang.String elementName, java.lang.String attributeName, java.lang.String allowedAttributeName)`
`static java.lang.String` | `unknownAssetPrefix(java.lang.String path)`
`static java.lang.String` | `unknownValidatorType(java.lang.String validatorType, java.util.List<java.lang.String> knownValidatorTypes)`
`static java.lang.String` | `validatorSpecificationParseError(int cursor, java.lang.String specification)`
`static java.lang.String` | `wrongAssetDigest(Resource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServicesMessages

    public ServicesMessages()

Method Detail

### markupWriterNoCurrentElement

    public static java.lang.String markupWriterNoCurrentElement()

### missingTemplateResource

    public static java.lang.String missingTemplateResource(Resource resource)

### contentInsideBodyNotAllowed

    public static java.lang.String contentInsideBodyNotAllowed(Location location)

### renderQueueError

    public static java.lang.String renderQueueError(RenderCommand command,
                                                    java.lang.Throwable cause)

### contextIndexOutOfRange

    public static java.lang.String contextIndexOutOfRange(java.lang.String methodDescription)

### pageNameUnresolved

    public static java.lang.String pageNameUnresolved(java.lang.String pageClassName)

### exceptionInMethodParameter

    public static java.lang.String exceptionInMethodParameter(java.lang.String methodDescription,
                                                              int index,
                                                              java.lang.Throwable cause)

### componentEventIsAborted

    public static java.lang.String componentEventIsAborted(java.lang.String methodDescription)

### componentInstanceIsNotAPage

    public static java.lang.String componentInstanceIsNotAPage(Component result)

### failureReadingMessages

    public static java.lang.String failureReadingMessages(Resource url,
                                                          java.lang.Throwable cause)

### unknownAssetPrefix

    public static java.lang.String unknownAssetPrefix(java.lang.String path)

### assetDoesNotExist

    public static java.lang.String assetDoesNotExist(Resource resource)

### wrongAssetDigest

    public static java.lang.String wrongAssetDigest(Resource resource)

### unknownValidatorType

    public static java.lang.String unknownValidatorType(java.lang.String validatorType,
                                                        java.util.List<java.lang.String> knownValidatorTypes)

### validatorSpecificationParseError

    public static java.lang.String validatorSpecificationParseError(int cursor,
                                                                    java.lang.String specification)

### mixinsInvalidWithoutIdOrType

    public static java.lang.String mixinsInvalidWithoutIdOrType(java.lang.String elementName)

### undefinedTapestryAttribute

    public static java.lang.String undefinedTapestryAttribute(java.lang.String elementName,
                                                              java.lang.String attributeName,
                                                              java.lang.String allowedAttributeName)

### parameterElementNameRequired

    public static java.lang.String parameterElementNameRequired()

### missingApplicationStatePersistenceStrategy

    public static java.lang.String missingApplicationStatePersistenceStrategy(java.lang.String name,
                                                                              java.util.Collection<java.lang.String> availableNames)

### requestException

    public static java.lang.String requestException(java.lang.Throwable cause)

### clientStateMustBeSerializable

    public static java.lang.String clientStateMustBeSerializable(java.lang.Object newValue)

### corruptClientState

    public static java.lang.String corruptClientState()

### unclosedAttributeExpression

    public static java.lang.String unclosedAttributeExpression(java.lang.String expression)

### noDisplayForDataType

    public static java.lang.String noDisplayForDataType(java.lang.String datatype)

### noEditForDataType

    public static java.lang.String noEditForDataType(java.lang.String datatype)

### missingValidatorConstraint

    public static java.lang.String missingValidatorConstraint(java.lang.String validatorType,
                                                              java.lang.Class type,
                                                              java.lang.String perFormMessageKey,
                                                              java.lang.String generalMessageKey)

### resourcesAccessForbidden

    public static java.lang.String resourcesAccessForbidden(java.lang.String URI)

### noMarkupFromPageRender

    public static java.lang.String noMarkupFromPageRender(Page page)

### baseClassInWrongPackage

    public static java.lang.String baseClassInWrongPackage(java.lang.String parentClassName,
                                                           java.lang.String className,
                                                           java.lang.String suggestedPackage)

### invalidId

    public static java.lang.String invalidId(java.lang.String messageKey,
                                             java.lang.String idValue)

### noTranslatorForType

    public static java.lang.String noTranslatorForType(java.lang.Class valueType,
                                                       java.util.Collection<java.lang.String> typeNames)

### eventNotHandled

    public static java.lang.String eventNotHandled(ComponentPageElement element,
                                                   java.lang.String eventName)

### documentMissingHTMLRoot

    public static java.lang.String documentMissingHTMLRoot(java.lang.String rootElementName)

### parameterElementDoesNotAllowAttributes

    public static java.lang.String parameterElementDoesNotAllowAttributes()

### invalidPathForLibraryNamespace

    public static java.lang.String invalidPathForLibraryNamespace(java.lang.String URI)

### literalConduitNotUpdateable

    public static java.lang.String literalConduitNotUpdateable()

### markupWriterAttributeNameOrValueOmitted

    public static java.lang.String markupWriterAttributeNameOrValueOmitted(java.lang.String element,
                                                                           java.lang.Object[] namesAndValues)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.